(async () => {
    try {

        const AlertAll = await NotifyAllInfo();
        
        if(AlertAll) {
            $("#notify").removeClass('off').addClass('on').attr('data-original-title', 'Desativar todas notificações');
        } else {
            $("#notify").removeClass('on').addClass('off').attr('data-original-title', 'Ativar todas notificações');
        }

    } catch (error) {
        console.error('Erro ao obter as informações das configurações');
    }

})();

$('.navbar-dash ul li').click(function(){
    var $data = $(this).data('button');

    $('.navbar-dash ul li').removeClass('active');
    $('.list-c').removeClass('active');

    $(this).addClass('active');
    $("#"+$data).addClass('active');
});

$('.events-names li').click(function(){
    var $data = $(this).data('event');

    $('.events-names li').removeClass('active');
    $('.list-e').removeClass('active');

    $(this).addClass('active');
    $("#"+$data).addClass('active');
});

$("#minimizer").click(function() {
    Minimizer();
});

$("#closed").click(function() {
    Closed();
});

$('a').click(function(e) {
	e.preventDefault();

	const url = $(this).attr('href');

	Url(url);
});

$("#notify").click(async function() {
    
    const info = await NotifyAllInfo();

    if(info) {
        $(this).removeClass('on').addClass('off').attr('data-original-title', 'Ativar todas notificações');
        NotifyUpdate('allAlerts', false);
    } else {
        $(this).removeClass('off').addClass('on').attr('data-original-title', 'Desativar todas notificações');
        NotifyUpdate('allAlerts', true);
    }
});